> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /kalshi/events/search

> Search prediction-market events by series and lifecycle status

**Price:** 20 credits per 100 results



## OpenAPI

````yaml /openapi/finance-markets.json post /api/kalshi/events/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/kalshi/events/search:
    post:
      tags:
        - /kalshi
      summary: /kalshi/events/search
      description: |-
        Search prediction-market events by series and lifecycle status

        **Price:** 20 credits per 100 results
      operationId: __api_kalshi_events_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KalshiEventsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KalshiEvent'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KalshiEventsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        status:
          anyOf:
            - $ref: '#/components/schemas/KalshiMarketStatus'
            - type: 'null'
        series_ticker:
          anyOf:
            - type: string
            - type: 'null'
        with_nested_markets:
          type: boolean
          default: false
      type: object
      required:
        - count
    KalshiEvent:
      properties:
        '@type':
          type: string
          default: KalshiEvent
        event_ticker:
          type: string
        series_ticker:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        mutually_exclusive:
          anyOf:
            - type: boolean
            - type: 'null'
        collateral_return_type:
          anyOf:
            - type: string
            - type: 'null'
        strike_period:
          anyOf:
            - type: string
            - type: 'null'
        last_updated_at:
          anyOf:
            - type: string
            - type: 'null'
        markets:
          anyOf:
            - items:
                $ref: '#/components/schemas/KalshiMarket'
              type: array
            - type: 'null'
      type: object
      required:
        - event_ticker
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    KalshiMarketStatus:
      type: string
      enum:
        - unopened
        - open
        - closed
        - settled
        - active
    KalshiMarket:
      properties:
        '@type':
          type: string
          default: KalshiMarket
        ticker:
          type: string
        event_ticker:
          anyOf:
            - type: string
            - type: 'null'
        market_type:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        yes_sub_title:
          anyOf:
            - type: string
            - type: 'null'
        no_sub_title:
          anyOf:
            - type: string
            - type: 'null'
        yes_bid:
          anyOf:
            - type: number
            - type: 'null'
        yes_ask:
          anyOf:
            - type: number
            - type: 'null'
        no_bid:
          anyOf:
            - type: number
            - type: 'null'
        no_ask:
          anyOf:
            - type: number
            - type: 'null'
        last_price:
          anyOf:
            - type: number
            - type: 'null'
        previous_price:
          anyOf:
            - type: number
            - type: 'null'
        previous_yes_bid:
          anyOf:
            - type: number
            - type: 'null'
        previous_yes_ask:
          anyOf:
            - type: number
            - type: 'null'
        yes_bid_size:
          anyOf:
            - type: integer
            - type: 'null'
        yes_ask_size:
          anyOf:
            - type: integer
            - type: 'null'
        volume:
          anyOf:
            - type: integer
            - type: 'null'
        volume_24h:
          anyOf:
            - type: integer
            - type: 'null'
        open_interest:
          anyOf:
            - type: integer
            - type: 'null'
        liquidity:
          anyOf:
            - type: number
            - type: 'null'
        notional_value:
          anyOf:
            - type: number
            - type: 'null'
        floor_strike:
          anyOf:
            - type: number
            - type: 'null'
        strike_type:
          anyOf:
            - type: string
            - type: 'null'
        rules_primary:
          anyOf:
            - type: string
            - type: 'null'
        rules_secondary:
          anyOf:
            - type: string
            - type: 'null'
        result:
          anyOf:
            - type: string
            - type: 'null'
        expiration_value:
          anyOf:
            - type: string
            - type: 'null'
        settlement_value:
          anyOf:
            - type: number
            - type: 'null'
        can_close_early:
          anyOf:
            - type: boolean
            - type: 'null'
        early_close_condition:
          anyOf:
            - type: string
            - type: 'null'
        settlement_timer_seconds:
          anyOf:
            - type: integer
            - type: 'null'
        open_at:
          anyOf:
            - type: string
            - type: 'null'
        close_at:
          anyOf:
            - type: string
            - type: 'null'
        expiration_at:
          anyOf:
            - type: string
            - type: 'null'
        expected_expiration_at:
          anyOf:
            - type: string
            - type: 'null'
        latest_expiration_at:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        settled_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - ticker
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````